(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory(require("Vuex"), require("_"), require("Vue"), require("axios"));
	else if(typeof define === 'function' && define.amd)
		define(["Vuex", "_", "Vue", "axios"], factory);
	else if(typeof exports === 'object')
		exports["double-prevention-management-sm"] = factory(require("Vuex"), require("_"), require("Vue"), require("axios"));
	else
		root["double-prevention-management-sm"] = factory(root["Vuex"], root["_"], root["Vue"], root["axios"]);
})((typeof self !== 'undefined' ? self : this), function(__WEBPACK_EXTERNAL_MODULE__5880__, __WEBPACK_EXTERNAL_MODULE__60bb__, __WEBPACK_EXTERNAL_MODULE__8bbf__, __WEBPACK_EXTERNAL_MODULE_cebe__) {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// install a JSONP callback for chunk loading
/******/ 	function webpackJsonpCallback(data) {
/******/ 		var chunkIds = data[0];
/******/ 		var moreModules = data[1];
/******/
/******/
/******/ 		// add "moreModules" to the modules object,
/******/ 		// then flag all "chunkIds" as loaded and fire callback
/******/ 		var moduleId, chunkId, i = 0, resolves = [];
/******/ 		for(;i < chunkIds.length; i++) {
/******/ 			chunkId = chunkIds[i];
/******/ 			if(Object.prototype.hasOwnProperty.call(installedChunks, chunkId) && installedChunks[chunkId]) {
/******/ 				resolves.push(installedChunks[chunkId][0]);
/******/ 			}
/******/ 			installedChunks[chunkId] = 0;
/******/ 		}
/******/ 		for(moduleId in moreModules) {
/******/ 			if(Object.prototype.hasOwnProperty.call(moreModules, moduleId)) {
/******/ 				modules[moduleId] = moreModules[moduleId];
/******/ 			}
/******/ 		}
/******/ 		if(parentJsonpFunction) parentJsonpFunction(data);
/******/
/******/ 		while(resolves.length) {
/******/ 			resolves.shift()();
/******/ 		}
/******/
/******/ 	};
/******/
/******/
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// object to store loaded and loading chunks
/******/ 	// undefined = chunk not loaded, null = chunk preloaded/prefetched
/******/ 	// Promise = chunk loading, 0 = chunk loaded
/******/ 	var installedChunks = {
/******/ 		5: 0
/******/ 	};
/******/
/******/
/******/
/******/ 	// script path function
/******/ 	function jsonpScriptSrc(chunkId) {
/******/ 		return __webpack_require__.p + "double-prevention-management-sm.umd." + ({}[chunkId]||chunkId) + ".js"
/******/ 	}
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/ 	// This file contains only the entry chunk.
/******/ 	// The chunk loading function for additional chunks
/******/ 	__webpack_require__.e = function requireEnsure(chunkId) {
/******/ 		var promises = [];
/******/
/******/
/******/ 		// JSONP chunk loading for javascript
/******/
/******/ 		var installedChunkData = installedChunks[chunkId];
/******/ 		if(installedChunkData !== 0) { // 0 means "already installed".
/******/
/******/ 			// a Promise means "currently loading".
/******/ 			if(installedChunkData) {
/******/ 				promises.push(installedChunkData[2]);
/******/ 			} else {
/******/ 				// setup Promise in chunk cache
/******/ 				var promise = new Promise(function(resolve, reject) {
/******/ 					installedChunkData = installedChunks[chunkId] = [resolve, reject];
/******/ 				});
/******/ 				promises.push(installedChunkData[2] = promise);
/******/
/******/ 				// start chunk loading
/******/ 				var script = document.createElement('script');
/******/ 				var onScriptComplete;
/******/
/******/ 				script.charset = 'utf-8';
/******/ 				script.timeout = 120;
/******/ 				if (__webpack_require__.nc) {
/******/ 					script.setAttribute("nonce", __webpack_require__.nc);
/******/ 				}
/******/ 				script.src = jsonpScriptSrc(chunkId);
/******/
/******/ 				// create error before stack unwound to get useful stacktrace later
/******/ 				var error = new Error();
/******/ 				onScriptComplete = function (event) {
/******/ 					// avoid mem leaks in IE.
/******/ 					script.onerror = script.onload = null;
/******/ 					clearTimeout(timeout);
/******/ 					var chunk = installedChunks[chunkId];
/******/ 					if(chunk !== 0) {
/******/ 						if(chunk) {
/******/ 							var errorType = event && (event.type === 'load' ? 'missing' : event.type);
/******/ 							var realSrc = event && event.target && event.target.src;
/******/ 							error.message = 'Loading chunk ' + chunkId + ' failed.\n(' + errorType + ': ' + realSrc + ')';
/******/ 							error.name = 'ChunkLoadError';
/******/ 							error.type = errorType;
/******/ 							error.request = realSrc;
/******/ 							chunk[1](error);
/******/ 						}
/******/ 						installedChunks[chunkId] = undefined;
/******/ 					}
/******/ 				};
/******/ 				var timeout = setTimeout(function(){
/******/ 					onScriptComplete({ type: 'timeout', target: script });
/******/ 				}, 120000);
/******/ 				script.onerror = script.onload = onScriptComplete;
/******/ 				document.head.appendChild(script);
/******/ 			}
/******/ 		}
/******/ 		return Promise.all(promises);
/******/ 	};
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// on error function for async loading
/******/ 	__webpack_require__.oe = function(err) { console.error(err); throw err; };
/******/
/******/ 	var jsonpArray = (typeof self !== 'undefined' ? self : this)["webpackJsonpdouble_prevention_management_sm"] = (typeof self !== 'undefined' ? self : this)["webpackJsonpdouble_prevention_management_sm"] || [];
/******/ 	var oldJsonpFunction = jsonpArray.push.bind(jsonpArray);
/******/ 	jsonpArray.push = webpackJsonpCallback;
/******/ 	jsonpArray = jsonpArray.slice();
/******/ 	for(var i = 0; i < jsonpArray.length; i++) webpackJsonpCallback(jsonpArray[i]);
/******/ 	var parentJsonpFunction = oldJsonpFunction;
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = "fb15");
/******/ })
/************************************************************************/
/******/ ({

/***/ "2350":
/***/ (function(module, exports) {

/*
	MIT License http://www.opensource.org/licenses/mit-license.php
	Author Tobias Koppers @sokra
*/
// css base code, injected by the css-loader
module.exports = function(useSourceMap) {
	var list = [];

	// return the list of modules as css string
	list.toString = function toString() {
		return this.map(function (item) {
			var content = cssWithMappingToString(item, useSourceMap);
			if(item[2]) {
				return "@media " + item[2] + "{" + content + "}";
			} else {
				return content;
			}
		}).join("");
	};

	// import a list of modules into the list
	list.i = function(modules, mediaQuery) {
		if(typeof modules === "string")
			modules = [[null, modules, ""]];
		var alreadyImportedModules = {};
		for(var i = 0; i < this.length; i++) {
			var id = this[i][0];
			if(typeof id === "number")
				alreadyImportedModules[id] = true;
		}
		for(i = 0; i < modules.length; i++) {
			var item = modules[i];
			// skip already imported module
			// this implementation is not 100% perfect for weird media query combinations
			//  when a module is imported multiple times with different media queries.
			//  I hope this will never occur (Hey this way we have smaller bundles)
			if(typeof item[0] !== "number" || !alreadyImportedModules[item[0]]) {
				if(mediaQuery && !item[2]) {
					item[2] = mediaQuery;
				} else if(mediaQuery) {
					item[2] = "(" + item[2] + ") and (" + mediaQuery + ")";
				}
				list.push(item);
			}
		}
	};
	return list;
};

function cssWithMappingToString(item, useSourceMap) {
	var content = item[1] || '';
	var cssMapping = item[3];
	if (!cssMapping) {
		return content;
	}

	if (useSourceMap && typeof btoa === 'function') {
		var sourceMapping = toComment(cssMapping);
		var sourceURLs = cssMapping.sources.map(function (source) {
			return '/*# sourceURL=' + cssMapping.sourceRoot + source + ' */'
		});

		return [content].concat(sourceURLs).concat([sourceMapping]).join('\n');
	}

	return [content].join('\n');
}

// Adapted from convert-source-map (MIT)
function toComment(sourceMap) {
	// eslint-disable-next-line no-undef
	var base64 = btoa(unescape(encodeURIComponent(JSON.stringify(sourceMap))));
	var data = 'sourceMappingURL=data:application/json;charset=utf-8;base64,' + base64;

	return '/*# ' + data + ' */';
}


/***/ }),

/***/ "4083":
/***/ (function(module, exports, __webpack_require__) {

exports = module.exports = __webpack_require__("2350")(false);
// imports


// module
exports.push([module.i, "*,:after,:before{-webkit-box-sizing:border-box;box-sizing:border-box;border-width:0;border-style:solid;border-color:#e5e7eb}*{--tw-ring-inset:var(--tw-empty,/*!*/ /*!*/);--tw-ring-offset-width:0px;--tw-ring-offset-color:#fff;--tw-ring-color:rgba(59,130,246,0.5);--tw-ring-offset-shadow:0 0 transparent;--tw-ring-shadow:0 0 transparent;--tw-shadow:0 0 transparent}:root{-moz-tab-size:4;-o-tab-size:4;tab-size:4}:-moz-focusring{outline:1px dotted ButtonText}:-moz-ui-invalid{box-shadow:none}::moz-focus-inner{border-style:none;padding:0}::-webkit-inner-spin-button,::-webkit-outer-spin-button{height:auto}::-webkit-search-decoration{-webkit-appearance:none}::-webkit-file-upload-button{-webkit-appearance:button;font:inherit}[type=search]{-webkit-appearance:textfield;outline-offset:-2px}abbr[title]{-webkit-text-decoration:underline dotted;text-decoration:underline dotted}a{color:inherit;text-decoration:inherit}body{margin:0;font-family:inherit;line-height:inherit}html{-webkit-text-size-adjust:100%;font-family:ui-sans-serif,system-ui,-apple-system,BlinkMacSystemFont,Segoe UI,Roboto,Helvetica Neue,Arial,Noto Sans,sans-serif,Apple Color Emoji,Segoe UI Emoji,Segoe UI Symbol,Noto Color Emoji;line-height:1.5}hr{height:0;color:inherit;border-top-width:1px}h1,h3,h4,h5{font-size:inherit;font-weight:inherit}input{font-family:inherit;font-size:100%;line-height:1.15;margin:0;padding:0;line-height:inherit;color:inherit}img{border-style:solid}input::-webkit-input-placeholder{opacity:1;color:#9ca3af}input::placeholder{opacity:1;color:#9ca3af}input::webkit-input-placeholder{opacity:1;color:#9ca3af}input::-moz-placeholder{opacity:1;color:#9ca3af}input:-ms-input-placeholder{opacity:1;color:#9ca3af}input::-ms-input-placeholder{opacity:1;color:#9ca3af}iframe,img,object,video{display:block;vertical-align:middle}img,video{max-width:100%;height:auto}h1,h3,h4,h5,hr,p{margin:0}table{text-indent:0;border-color:inherit;border-collapse:collapse}ul{list-style:none;margin:0;padding:0}.container{width:100%}@media (min-width:640px){.container{max-width:640px}}@media (min-width:768px){.container{max-width:768px}}@media (min-width:1024px){.container{max-width:1024px}}@media (min-width:1280px){.container{max-width:1280px}}@media (min-width:1536px){.container{max-width:1536px}}.bg-white{--tw-bg-opacity:1;background-color:rgba(255,255,255,var(--tw-bg-opacity))}.bg-\\[\\#0f101580\\]{--tw-bg-opacity:0.5019607843137255;background-color:rgba(15,16,21,var(--tw-bg-opacity))}.bg-\\[\\#ffffff\\]{--tw-bg-opacity:1;background-color:rgba(255,255,255,var(--tw-bg-opacity))}.bg-\\[\\#46a6ff9c\\]{--tw-bg-opacity:0.611764705882353;background-color:rgba(70,166,255,var(--tw-bg-opacity))}.bg-\\[\\#ffffff00\\]{--tw-bg-opacity:0;background-color:rgba(255,255,255,var(--tw-bg-opacity))}.bg-trueGray-200,.hover\\:bg-trueGray-200:hover{--tw-bg-opacity:1;background-color:rgba(229,229,229,var(--tw-bg-opacity))}.hover\\:bg-slate-100:hover{--tw-bg-opacity:1;background-color:rgba(241,245,249,var(--tw-bg-opacity))}.bg-blue-500{--tw-bg-opacity:1;background-color:rgba(59,130,246,var(--tw-bg-opacity))}.bg-gray-400{--tw-bg-opacity:1;background-color:rgba(156,163,175,var(--tw-bg-opacity))}.bg-\\[var\\(--systemMainColor\\)\\]{background-color:var(--systemMainColor)}.bg-hex-f7f9fa{--tw-bg-opacity:1;background-color:rgba(247,249,250,var(--tw-bg-opacity))}.bg-\\$contentBgColor{background-color:var(--contentBgColor)}.hover\\:border-\\[var\\(--systemMainColor\\)\\]:hover{border-color:var(--systemMainColor)}.border-blue-500{--tw-border-opacity:1;border-color:rgba(59,130,246,var(--tw-border-opacity))}.border-inherit{border-color:inherit}.border-slate-300{--tw-border-opacity:1;border-color:rgba(203,213,225,var(--tw-border-opacity))}.border-hex-0099ff{--tw-border-opacity:1;border-color:rgba(0,153,255,var(--tw-border-opacity))}.rounded-30px{border-radius:30px}.rounded-1\\/2{border-radius:50%}.rounded-4px{border-radius:4px}.rounded-2px{border-radius:2px}.rounded-3px{border-radius:3px}.rounded{border-radius:.25rem}.rounded-full{border-radius:9999px}.\\!rounded-none{border-radius:0!important}.border-solid{border-style:solid}.border-dashed{border-style:dashed}.border-dotted{border-style:dotted}.\\!border-none{border-style:none!important}.border,.border-1,.border-1px{border-width:1px}.border-2px{border-width:2px}.border-l-3,.border-l-3px{border-left-width:3px}.border-l-2{border-left-width:2px}.border-t-1px{border-top-width:1px}.border-b-1{border-bottom-width:1px}.border-r-1{border-right-width:1px}.border-l-1{border-left-width:1px}.border-b{border-bottom-width:1px}.border-left-1px{border-left-width:1px}.box-content{-webkit-box-sizing:content-box;box-sizing:content-box}.cursor-pointer{cursor:pointer}.block{display:block}.\\!block{display:block!important}.inline-block{display:inline-block}.inline{display:inline}.flex{display:-webkit-box;display:-ms-flexbox;display:flex}.table{display:table}.table-cell{display:table-cell}.hidden{display:none}.flex-row-reverse{-webkit-box-orient:horizontal;-webkit-box-direction:reverse;-ms-flex-direction:row-reverse;flex-direction:row-reverse}.flex-col{-webkit-box-orient:vertical;-webkit-box-direction:normal;-ms-flex-direction:column;flex-direction:column}.flex-wrap{-ms-flex-wrap:wrap;flex-wrap:wrap}.flex-nowrap{-ms-flex-wrap:nowrap;flex-wrap:nowrap}.items-center{-webkit-box-align:center;-ms-flex-align:center;align-items:center}.justify-items-center{justify-items:center}.justify-start{-webkit-box-pack:start;-ms-flex-pack:start;justify-content:flex-start}.justify-end{-webkit-box-pack:end;-ms-flex-pack:end;justify-content:flex-end}.justify-center{-webkit-box-pack:center;-ms-flex-pack:center;justify-content:center}.justify-between{-webkit-box-pack:justify;-ms-flex-pack:justify;justify-content:space-between}.justify-around{-ms-flex-pack:distribute;justify-content:space-around}.flex-1{-webkit-box-flex:1;-ms-flex:1 1 0%;flex:1 1 0%}.flex-auto{-webkit-box-flex:1;-ms-flex:1 1 auto;flex:1 1 auto}.flex-shrink-0{-ms-flex-negative:0;flex-shrink:0}.float-right{float:right}.float-left{float:left}.clear-both{clear:both}.font-bold{font-weight:700}.font-500{font-weight:500}.font-600{font-weight:600}.font-normal{font-weight:400}.h-full{height:100%}.h-10{height:2.5rem}.h-0{height:0}.h-100{height:25rem}.h-50px{height:50px}.h-40px{height:40px}.h-14px{height:14px}.h-32px{height:32px}.h-38px{height:38px}.h-15px{height:15px}.h-420px{height:420px}.h-374px{height:374px}.h-400px{height:400px}.h-36px{height:36px}.h-\\[calc\\(100\\%-46px\\)\\]{height:calc(100% - 46px)}.h-\\[calc\\(100\\%-36px\\)\\]{height:calc(100% - 36px)}.h-24px{height:24px}.h-60px{height:60px}.h-244px{height:244px}.\\!h-240px{height:240px!important}.h-180px{height:180px}.h-120px{height:120px}.h-130px{height:130px}.h-90px{height:90px}.\\!h-36px{height:36px!important}.h-415px{height:415px}.h-0px{height:0}.h-20px{height:20px}.h-52px{height:52px}.h-70px{height:70px}.h-54px{height:54px}.h-18px{height:18px}.h-25{height:6.25rem}.h-450px{height:450px}.h-85px{height:85px}.h-\\[calc\\(100\\%-40px\\)\\]{height:calc(100% - 40px)}.h-39px{height:39px}.h-80px{height:80px}.h-16px{height:16px}.h-30px{height:30px}.h-12px{height:12px}.h-\\[calc\\(100\\%-32px\\)\\]{height:calc(100% - 32px)}.h-\\[calc\\(100\\%-54px\\)\\]{height:calc(100% - 54px)}.h-500px{height:500px}.h-150px{height:150px}.h-26px{height:26px}.text-xl{font-size:1.25rem;line-height:1.75rem}.text-base{font-size:1rem;line-height:1.5rem}.text-sm{font-size:.875rem;line-height:1.25rem}.text-lg{font-size:1.125rem;line-height:1.75rem}.text-3xl{font-size:1.875rem;line-height:2.25rem}.text-14px{font-size:14px;line-height:1}.text-70px{font-size:70px;line-height:1}.text-67px{font-size:67px;line-height:1}.text-54px{font-size:54px;line-height:1}.text-12px{font-size:12px;line-height:1}.text-16px{font-size:16px;line-height:1}.text-20px{font-size:20px;line-height:1}.text-24px{font-size:24px;line-height:1}.text-30px{font-size:30px;line-height:1}.text-50px{font-size:50px;line-height:1}.text-18px{font-size:18px;line-height:1}.text-15px{font-size:15px;line-height:1}.text-34px{font-size:34px;line-height:1}.text-36px{font-size:36px;line-height:1}.leading-40px{line-height:40px}.leading-14px{line-height:14px}.\\!leading-60px{line-height:60px!important}.leading-10{line-height:2.5rem}.leading-loose{line-height:2}.\\!leading-loose{line-height:2!important}.leading-1{line-height:.25rem}.leading-23px{line-height:23px}.leading-60px{line-height:60px}.leading-20px{line-height:20px}.leading-30px{line-height:30px}.leading-16px{line-height:16px}.leading-32px{line-height:32px}.leading-36px{line-height:36px}.leading-22px{line-height:22px}.m-b-5,.m-l-5,.m-r-5,.m-t-5{margin:1.25rem}.m-b-10,.m-l-10,.m-t-10{margin:2.5rem}.m-t-20{margin:5rem}.m-15px{margin:15px}.m-auto{margin:auto}.m-t-30{margin:7.5rem}.m-20px{margin:20px}.mx-5px{margin-left:5px;margin-right:5px}.my-15px{margin-top:15px;margin-bottom:15px}.my-20px{margin-top:20px;margin-bottom:20px}.mx-20px{margin-left:20px;margin-right:20px}.mx-200px{margin-left:200px;margin-right:200px}.my-10px{margin-top:10px;margin-bottom:10px}.my-12px{margin-top:12px;margin-bottom:12px}.mr-10{margin-right:2.5rem}.ml-10{margin-left:2.5rem}.mt-10{margin-top:2.5rem}.mt-20px{margin-top:20px}.mt-25px{margin-top:25px}.mt-30px{margin-top:30px}.ml-5px{margin-left:5px}.mt-10px{margin-top:10px}.-mt-15px{margin-top:-15px}.mr-20px{margin-right:20px}.mr-5px{margin-right:5px}.mr-10px{margin-right:10px}.ml-10px{margin-left:10px}.mr-auto{margin-right:auto}.ml-auto{margin-left:auto}.mt-5px{margin-top:5px}.mb-5px{margin-bottom:5px}.mt-15px{margin-top:15px}.mb-10px{margin-bottom:10px}.ml-15px{margin-left:15px}.mr-15px{margin-right:15px}.mr-5{margin-right:1.25rem}.mb-20px{margin-bottom:20px}.ml-6px{margin-left:6px}.\\!mr-10px{margin-right:10px!important}.mt-76px{margin-top:76px}.mt-70px{margin-top:70px}.mb-4px{margin-bottom:4px}.\\!mt-70px{margin-top:70px!important}.mb-5{margin-bottom:1.25rem}.mr-4{margin-right:1rem}.mt-5{margin-top:1.25rem}.mb-7{margin-bottom:1.75rem}.mb-30px{margin-bottom:30px}.ml-30px{margin-left:30px}.ml-40px{margin-left:40px}.mb-60px{margin-bottom:60px}.ml-5{margin-left:1.25rem}.ml-20px{margin-left:20px}.mt-68px{margin-top:68px}.mb-15px{margin-bottom:15px}.mr-8px{margin-right:8px}.mb-2px{margin-bottom:2px}.mr-40px{margin-right:40px}.ml-7px{margin-left:7px}.mr-0\\.5{margin-right:.125rem}.mt-2px{margin-top:2px}.\\!mr-20px{margin-right:20px!important}.\\!mt-6px{margin-top:6px!important}.\\!mr-0{margin-right:0!important}.mt-20{margin-top:5rem}.mb-8px{margin-bottom:8px}.mr-6px{margin-right:6px}.ml-12px{margin-left:12px}.ml-140px{margin-left:140px}.mb-16px{margin-bottom:16px}.mr-30px{margin-right:30px}.mr-4px{margin-right:4px}.mr-3px{margin-right:3px}.ml-3px{margin-left:3px}.mr-38px{margin-right:38px}.mb-50px{margin-bottom:50px}.mt-14px{margin-top:14px}.mb-12px{margin-bottom:12px}.mr-14px{margin-right:14px}.mt-12px{margin-top:12px}.mt-40px{margin-top:40px}.max-h-full{max-height:100%}.\\!max-h-200px{max-height:200px!important}.max-h-274px{max-height:274px}.min-h-30px{min-height:30px}.min-h-300px{min-height:300px}.min-w-1\\/5{min-width:20%}.opacity-0{opacity:0}.overflow-auto{overflow:auto}.overflow-hidden{overflow:hidden}.\\!overflow-y-auto{overflow-y:auto!important}.overflow-y-auto{overflow-y:auto}.overflow-x-hidden{overflow-x:hidden}.overflow-y-hidden{overflow-y:hidden}.overflow-y-scroll{overflow-y:scroll}.p-5,.p-l-5{padding:1.25rem}.p-t-20{padding:5rem}.p-5px{padding:5px}.p-10px{padding:10px}.p-10{padding:2.5rem}.p-b-5,.p-t-5{padding:1.25rem}.p-l-10,.p-r-10{padding:2.5rem}.p-0px{padding:0}.p-20px{padding:20px}.p-3{padding:.75rem}.p-15px{padding:15px}.p-0{padding:0}.p-l-20{padding:5rem}.px-0px{padding-left:0;padding-right:0}.py-2px{padding-top:2px;padding-bottom:2px}.px-5px{padding-left:5px;padding-right:5px}.px-10px{padding-left:10px;padding-right:10px}.px-20px{padding-left:20px;padding-right:20px}.px-3{padding-left:.75rem;padding-right:.75rem}.py-6px{padding-top:6px;padding-bottom:6px}.py-10px{padding-top:10px;padding-bottom:10px}.py-20px{padding-top:20px;padding-bottom:20px}.px-15px{padding-left:15px;padding-right:15px}.px-30px{padding-left:30px;padding-right:30px}.px-4px{padding-left:4px;padding-right:4px}.py-15px{padding-top:15px;padding-bottom:15px}.pt-30px{padding-top:30px}.pt-20px{padding-top:20px}.pt-40px{padding-top:40px}.pb-20px{padding-bottom:20px}.pl-10px{padding-left:10px}.pt-10px{padding-top:10px}.pl-5px{padding-left:5px}.pr-5px{padding-right:5px}.pr-10px{padding-right:10px}.pr-8px{padding-right:8px}.pb-5{padding-bottom:1.25rem}.pr-2px{padding-right:2px}.pr-100px{padding-right:100px}.pr-20px{padding-right:20px}.pl-2{padding-left:.5rem}.pt-18px{padding-top:18px}.pb-60px{padding-bottom:60px}.pl-4{padding-left:1rem}.pr-15px{padding-right:15px}.pl-20px{padding-left:20px}.pb-10px{padding-bottom:10px}.pl-15px{padding-left:15px}.pr-40px{padding-right:40px}.pl-80px{padding-left:80px}.pl-8px{padding-left:8px}.pr-291px{padding-right:291px}.pt-15px{padding-top:15px}.pb-4px{padding-bottom:4px}.pl-40px{padding-left:40px}.pl-30px{padding-left:30px}.pt-12px{padding-top:12px}.tab,.tab\\.children{-moz-tab-size:4;-o-tab-size:4;tab-size:4}.\\!fixed{position:fixed!important}.fixed{position:fixed}.absolute{position:absolute}.\\!absolute{position:absolute!important}.relative{position:relative}.sticky{position:sticky}.inset-0{top:0;right:0;bottom:0;left:0}.left-386px{left:386px}.top-30px{top:30px}.top-0px{top:0}.left-0px{left:0}.bottom-14px{bottom:14px}.right-12px{right:12px}.bottom-0px{bottom:0}.left-5px{left:5px}.right-5px{right:5px}.top-5px{top:5px}.bottom-10px{bottom:10px}.right-0px{right:0}.right-35px{right:35px}.top-0{top:0}.left-0{left:0}.left-79px{left:79px}.top-92px{top:92px}.right-20px{right:20px}.top-20px{top:20px}.-right-20px{right:-20px}.top-70px{top:70px}.top-43px{top:43px}.top-8{top:2rem}.right-16{right:4rem}.right-2{right:.5rem}.left-20px{left:20px}.-left-16px{left:-16px}.bottom-30px{bottom:30px}.left-1\\/2{left:50%}.resize{resize:both}.hover\\:shadow:hover,.shadow,.shadow\\.bias{--tw-shadow:0 1px 3px 0 rgba(0,0,0,0.1),0 1px 2px -1px rgba(0,0,0,0.1);--tw-shadow-colored:0 1px 3px 0 var(--tw-shadow-color),0 1px 2px -1px var(--tw-shadow-color);-webkit-box-shadow:var(--tw-ring-offset-shadow,0 0 transparent),var(--tw-ring-shadow,0 0 transparent),var(--tw-shadow);box-shadow:var(--tw-ring-offset-shadow,0 0 transparent),var(--tw-ring-shadow,0 0 transparent),var(--tw-shadow)}.text-left{text-align:left}.text-center{text-align:center}.text-right{text-align:right}.text-justify{text-align:justify}.text-\\[\\#606266\\]{--tw-text-opacity:1;color:rgba(96,98,102,var(--tw-text-opacity))}.text-white{--tw-text-opacity:1;color:rgba(255,255,255,var(--tw-text-opacity))}.text-blue-500{--tw-text-opacity:1;color:rgba(59,130,246,var(--tw-text-opacity))}.hover\\:text-rose-700:hover{--tw-text-opacity:1;color:rgba(190,18,60,var(--tw-text-opacity))}.text-green-500{--tw-text-opacity:1;color:rgba(34,197,94,var(--tw-text-opacity))}.text-red-500{--tw-text-opacity:1;color:rgba(239,68,68,var(--tw-text-opacity))}.text-gray-400{--tw-text-opacity:1;color:rgba(156,163,175,var(--tw-text-opacity))}.hover\\:text-hex-\\$buttonPrimaryBg:hover{color:var(--buttonPrimaryBg)}.text-gray-500{--tw-text-opacity:1;color:rgba(107,114,128,var(--tw-text-opacity))}.text-rose-700{--tw-text-opacity:1;color:rgba(190,18,60,var(--tw-text-opacity))}.text-red-600{--tw-text-opacity:1;color:rgba(220,38,38,var(--tw-text-opacity))}.text-warmGray-400{--tw-text-opacity:1;color:rgba(168,162,158,var(--tw-text-opacity))}.text-hex-\\$contentTextColor{color:var(--contentTextColor)}.text-rose-500{--tw-text-opacity:1;color:rgba(244,63,94,var(--tw-text-opacity))}.text-trueGray-400{--tw-text-opacity:1;color:rgba(163,163,163,var(--tw-text-opacity))}.text-slate-700{--tw-text-opacity:1;color:rgba(51,65,85,var(--tw-text-opacity))}.text-gray-300{--tw-text-opacity:1;color:rgba(209,213,219,var(--tw-text-opacity))}.text-\\[\\#ff0000\\]{--tw-text-opacity:1;color:rgba(255,0,0,var(--tw-text-opacity))}.text-\\[var\\(--systemMainColor\\)\\]{color:var(--systemMainColor)}.text-\\[var\\(--secondaryTextColor\\)\\]{color:var(--secondaryTextColor)}.truncate{overflow:hidden;text-overflow:ellipsis;white-space:nowrap}.italic{font-style:italic}.capitalize{text-transform:capitalize}.underline-offset-8{text-underline-offset:8px}.decoration-1{text-decoration-thickness:1px}.underline{-webkit-text-decoration-line:underline;text-decoration-line:underline}.visible{visibility:visible}.\\!visible{visibility:visible!important}.whitespace-nowrap{white-space:nowrap}.whitespace-pre-wrap{white-space:pre-wrap}.w-full{width:100%}.\\!w-full{width:100%!important}.w-1\\/2{width:50%}.w-0{width:0}.w-1\\/4{width:25%}.w-1\\/6{width:16.666667%}.w-5\\/6{width:83.333333%}.w-3\\/5{width:60%}.\\!w-71px{width:71px!important}.w-530px{width:530px}.w-60px{width:60px}.w-40px{width:40px}.w-368px{width:368px}.w-100{width:25rem}.w-15px{width:15px}.w-230px{width:230px}.w-285px{width:285px}.w-100px{width:100px}.w-490px{width:490px}.w-200px{width:200px}.\\!w-440px{width:440px!important}.\\!w-50{width:12.5rem!important}.w-600px{width:600px}.\\!w-400px{width:400px!important}.w-400px{width:400px}.w-440px{width:440px}.w-152px{width:152px}.w-300px{width:300px}.w-0px{width:0}.\\!w-200px{width:200px!important}.\\!w-54{width:13.5rem!important}.w-900px{width:900px}.w-1px{width:1px}.w-18px{width:18px}.w-80px{width:80px}.w-150px{width:150px}.w-25{width:6.25rem}.w-450px{width:450px}.w-104px{width:104px}.\\!w-350px{width:350px!important}.w-430px{width:430px}.w-26px{width:26px}.w-16px{width:16px}.w-141px{width:141px}.w-36px{width:36px}.\\!w-230px{width:230px!important}.\\!w-130px{width:130px!important}.w-291px{width:291px}.w-30px{width:30px}.w-12px{width:12px}.w-120px{width:120px}.w-1000px{width:1000px}.w-287px{width:287px}.w-800px{width:800px}.w-260px{width:260px}.w-249px{width:249px}.w-289px{width:289px}.w-180px{width:180px}.z-99{z-index:99}.z-100{z-index:100}.z-999{z-index:999}.z-2001{z-index:2001}.z-1{z-index:1}.z-10{z-index:10}.transform{--tw-translate-x:0;--tw-translate-y:0;--tw-translate-z:0;--tw-rotate:0;--tw-rotate-x:0;--tw-rotate-y:0;--tw-rotate-z:0;--tw-skew-x:0;--tw-skew-y:0;--tw-scale-x:1;--tw-scale-y:1;--tw-scale-z:1;-webkit-transform:translateX(var(--tw-translate-x)) translateY(var(--tw-translate-y)) translateZ(var(--tw-translate-z)) rotate(var(--tw-rotate)) rotateX(var(--tw-rotate-x)) rotateY(var(--tw-rotate-y)) rotate(var(--tw-rotate-z)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y)) scaleZ(var(--tw-scale-z));transform:translateX(var(--tw-translate-x)) translateY(var(--tw-translate-y)) translateZ(var(--tw-translate-z)) rotate(var(--tw-rotate)) rotateX(var(--tw-rotate-x)) rotateY(var(--tw-rotate-y)) rotate(var(--tw-rotate-z)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y)) scaleZ(var(--tw-scale-z))}.rotate-x-180{--tw-rotate-x:180deg}.transition{-webkit-transition-property:background-color,border-color,color,fill,stroke,opacity,-webkit-box-shadow,-webkit-transform,filter,backdrop-filter;transition-property:background-color,border-color,color,fill,stroke,opacity,box-shadow,-webkit-box-shadow,transform,-webkit-transform,filter,backdrop-filter;-webkit-transition-timing-function:cubic-bezier(.4,0,.2,1);transition-timing-function:cubic-bezier(.4,0,.2,1);-webkit-transition-duration:.15s;transition-duration:.15s}.ease-in{-webkit-transition-timing-function:cubic-bezier(.4,0,1,1);transition-timing-function:cubic-bezier(.4,0,1,1)}.duration,.duration\\(row\\){-webkit-transition-duration:.15s;transition-duration:.15s}.filter{--tw-blur:var(--tw-empty,/*!*/ /*!*/);--tw-brightness:var(--tw-empty,/*!*/ /*!*/);--tw-contrast:var(--tw-empty,/*!*/ /*!*/);--tw-grayscale:var(--tw-empty,/*!*/ /*!*/);--tw-hue-rotate:var(--tw-empty,/*!*/ /*!*/);--tw-invert:var(--tw-empty,/*!*/ /*!*/);--tw-saturate:var(--tw-empty,/*!*/ /*!*/);--tw-sepia:var(--tw-empty,/*!*/ /*!*/);--tw-drop-shadow:var(--tw-empty,/*!*/ /*!*/);-webkit-filter:var(--tw-blur) var(--tw-brightness) var(--tw-contrast) var(--tw-grayscale) var(--tw-hue-rotate) var(--tw-invert) var(--tw-saturate) var(--tw-sepia) var(--tw-drop-shadow);filter:var(--tw-blur) var(--tw-brightness) var(--tw-contrast) var(--tw-grayscale) var(--tw-hue-rotate) var(--tw-invert) var(--tw-saturate) var(--tw-sepia) var(--tw-drop-shadow)}.blur{--tw-blur:blur(8px)}", ""]);

// exports


/***/ }),

/***/ "499e":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXPORTS
__webpack_require__.d(__webpack_exports__, "default", function() { return /* binding */ addStylesClient; });

// CONCATENATED MODULE: ./node_modules/vue-style-loader/lib/listToStyles.js
/**
 * Translates the list format produced by css-loader into something
 * easier to manipulate.
 */
function listToStyles (parentId, list) {
  var styles = []
  var newStyles = {}
  for (var i = 0; i < list.length; i++) {
    var item = list[i]
    var id = item[0]
    var css = item[1]
    var media = item[2]
    var sourceMap = item[3]
    var part = {
      id: parentId + ':' + i,
      css: css,
      media: media,
      sourceMap: sourceMap
    }
    if (!newStyles[id]) {
      styles.push(newStyles[id] = { id: id, parts: [part] })
    } else {
      newStyles[id].parts.push(part)
    }
  }
  return styles
}

// CONCATENATED MODULE: ./node_modules/vue-style-loader/lib/addStylesClient.js
/*
  MIT License http://www.opensource.org/licenses/mit-license.php
  Author Tobias Koppers @sokra
  Modified by Evan You @yyx990803
*/



var hasDocument = typeof document !== 'undefined'

if (typeof DEBUG !== 'undefined' && DEBUG) {
  if (!hasDocument) {
    throw new Error(
    'vue-style-loader cannot be used in a non-browser environment. ' +
    "Use { target: 'node' } in your Webpack config to indicate a server-rendering environment."
  ) }
}

/*
type StyleObject = {
  id: number;
  parts: Array<StyleObjectPart>
}

type StyleObjectPart = {
  css: string;
  media: string;
  sourceMap: ?string
}
*/

var stylesInDom = {/*
  [id: number]: {
    id: number,
    refs: number,
    parts: Array<(obj?: StyleObjectPart) => void>
  }
*/}

var head = hasDocument && (document.head || document.getElementsByTagName('head')[0])
var singletonElement = null
var singletonCounter = 0
var isProduction = false
var noop = function () {}
var options = null
var ssrIdKey = 'data-vue-ssr-id'

// Force single-tag solution on IE6-9, which has a hard limit on the # of <style>
// tags it will allow on a page
var isOldIE = typeof navigator !== 'undefined' && /msie [6-9]\b/.test(navigator.userAgent.toLowerCase())

function addStylesClient (parentId, list, _isProduction, _options) {
  isProduction = _isProduction

  options = _options || {}

  var styles = listToStyles(parentId, list)
  addStylesToDom(styles)

  return function update (newList) {
    var mayRemove = []
    for (var i = 0; i < styles.length; i++) {
      var item = styles[i]
      var domStyle = stylesInDom[item.id]
      domStyle.refs--
      mayRemove.push(domStyle)
    }
    if (newList) {
      styles = listToStyles(parentId, newList)
      addStylesToDom(styles)
    } else {
      styles = []
    }
    for (var i = 0; i < mayRemove.length; i++) {
      var domStyle = mayRemove[i]
      if (domStyle.refs === 0) {
        for (var j = 0; j < domStyle.parts.length; j++) {
          domStyle.parts[j]()
        }
        delete stylesInDom[domStyle.id]
      }
    }
  }
}

function addStylesToDom (styles /* Array<StyleObject> */) {
  for (var i = 0; i < styles.length; i++) {
    var item = styles[i]
    var domStyle = stylesInDom[item.id]
    if (domStyle) {
      domStyle.refs++
      for (var j = 0; j < domStyle.parts.length; j++) {
        domStyle.parts[j](item.parts[j])
      }
      for (; j < item.parts.length; j++) {
        domStyle.parts.push(addStyle(item.parts[j]))
      }
      if (domStyle.parts.length > item.parts.length) {
        domStyle.parts.length = item.parts.length
      }
    } else {
      var parts = []
      for (var j = 0; j < item.parts.length; j++) {
        parts.push(addStyle(item.parts[j]))
      }
      stylesInDom[item.id] = { id: item.id, refs: 1, parts: parts }
    }
  }
}

function createStyleElement () {
  var styleElement = document.createElement('style')
  styleElement.type = 'text/css'
  head.appendChild(styleElement)
  return styleElement
}

function addStyle (obj /* StyleObjectPart */) {
  var update, remove
  var styleElement = document.querySelector('style[' + ssrIdKey + '~="' + obj.id + '"]')

  if (styleElement) {
    if (isProduction) {
      // has SSR styles and in production mode.
      // simply do nothing.
      return noop
    } else {
      // has SSR styles but in dev mode.
      // for some reason Chrome can't handle source map in server-rendered
      // style tags - source maps in <style> only works if the style tag is
      // created and inserted dynamically. So we remove the server rendered
      // styles and inject new ones.
      styleElement.parentNode.removeChild(styleElement)
    }
  }

  if (isOldIE) {
    // use singleton mode for IE9.
    var styleIndex = singletonCounter++
    styleElement = singletonElement || (singletonElement = createStyleElement())
    update = applyToSingletonTag.bind(null, styleElement, styleIndex, false)
    remove = applyToSingletonTag.bind(null, styleElement, styleIndex, true)
  } else {
    // use multi-style-tag mode in all other cases
    styleElement = createStyleElement()
    update = applyToTag.bind(null, styleElement)
    remove = function () {
      styleElement.parentNode.removeChild(styleElement)
    }
  }

  update(obj)

  return function updateStyle (newObj /* StyleObjectPart */) {
    if (newObj) {
      if (newObj.css === obj.css &&
          newObj.media === obj.media &&
          newObj.sourceMap === obj.sourceMap) {
        return
      }
      update(obj = newObj)
    } else {
      remove()
    }
  }
}

var replaceText = (function () {
  var textStore = []

  return function (index, replacement) {
    textStore[index] = replacement
    return textStore.filter(Boolean).join('\n')
  }
})()

function applyToSingletonTag (styleElement, index, remove, obj) {
  var css = remove ? '' : obj.css

  if (styleElement.styleSheet) {
    styleElement.styleSheet.cssText = replaceText(index, css)
  } else {
    var cssNode = document.createTextNode(css)
    var childNodes = styleElement.childNodes
    if (childNodes[index]) styleElement.removeChild(childNodes[index])
    if (childNodes.length) {
      styleElement.insertBefore(cssNode, childNodes[index])
    } else {
      styleElement.appendChild(cssNode)
    }
  }
}

function applyToTag (styleElement, obj) {
  var css = obj.css
  var media = obj.media
  var sourceMap = obj.sourceMap

  if (media) {
    styleElement.setAttribute('media', media)
  }
  if (options.ssrId) {
    styleElement.setAttribute(ssrIdKey, obj.id)
  }

  if (sourceMap) {
    // https://developer.chrome.com/devtools/docs/javascript-debugging
    // this makes source maps inside style tags work properly in Chrome
    css += '\n/*# sourceURL=' + sourceMap.sources[0] + ' */'
    // http://stackoverflow.com/a/26603875
    css += '\n/*# sourceMappingURL=data:application/json;base64,' + btoa(unescape(encodeURIComponent(JSON.stringify(sourceMap)))) + ' */'
  }

  if (styleElement.styleSheet) {
    styleElement.styleSheet.cssText = css
  } else {
    while (styleElement.firstChild) {
      styleElement.removeChild(styleElement.firstChild)
    }
    styleElement.appendChild(document.createTextNode(css))
  }
}


/***/ }),

/***/ "5880":
/***/ (function(module, exports) {

module.exports = __WEBPACK_EXTERNAL_MODULE__5880__;

/***/ }),

/***/ "5a4b":
/***/ (function(module, exports, __webpack_require__) {

// style-loader: Adds some css to the DOM by adding a <style> tag

// load the styles
var content = __webpack_require__("4083");
if(content.__esModule) content = content.default;
if(typeof content === 'string') content = [[module.i, content, '']];
if(content.locals) module.exports = content.locals;
// add the styles to the DOM
var add = __webpack_require__("499e").default
var update = add("3121d45d", content, true, {"sourceMap":false,"shadowMode":false});

/***/ }),

/***/ "60bb":
/***/ (function(module, exports) {

module.exports = __WEBPACK_EXTERNAL_MODULE__60bb__;

/***/ }),

/***/ "8bbf":
/***/ (function(module, exports) {

module.exports = __WEBPACK_EXTERNAL_MODULE__8bbf__;

/***/ }),

/***/ "cebe":
/***/ (function(module, exports) {

module.exports = __WEBPACK_EXTERNAL_MODULE_cebe__;

/***/ }),

/***/ "f6fd":
/***/ (function(module, exports) {

// document.currentScript polyfill by Adam Miller

// MIT license

(function(document){
  var currentScript = "currentScript",
      scripts = document.getElementsByTagName('script'); // Live NodeList collection

  // If browser needs currentScript polyfill, add get currentScript() to the document object
  if (!(currentScript in document)) {
    Object.defineProperty(document, currentScript, {
      get: function(){

        // IE 6-10 supports script readyState
        // IE 10+ support stack trace
        try { throw new Error(); }
        catch (err) {

          // Find the second match for the "at" string to get file src url from stack.
          // Specifically works with the format of stack traces in IE.
          var i, res = ((/.*at [^\(]*\((.*):.+:.+\)$/ig).exec(err.stack) || [false])[1];

          // For all scripts on the page, if src matches or if ready state is interactive, return the script tag
          for(i in scripts){
            if(scripts[i].src == res || scripts[i].readyState == "interactive"){
              return scripts[i];
            }
          }

          // If no match, return null
          return null;
        }
      }
    });
  }
})(document);


/***/ }),

/***/ "fb15":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// CONCATENATED MODULE: ./node_modules/@vue/cli-service/lib/commands/build/setPublicPath.js
// This file is imported into lib/wc client bundles.

if (typeof window !== 'undefined') {
  if (true) {
    __webpack_require__("f6fd")
  }

  var i
  if ((i = window.document.currentScript) && (i = i.src.match(/(.+\/)[^/]+\.js(\?.*)?$/))) {
    __webpack_require__.p = i[1] // eslint-disable-line
  }
}

// Indicate to webpack that this file can be concatenated
/* harmony default export */ var setPublicPath = (null);

// CONCATENATED MODULE: ./src/modules/double-prevention-management-sm/routes.js
/*
 * @Author:
 * @LastEditTime: 2022-04-18 14:50:56
 * @Description: 后台管理
 */
/* harmony default export */ var routes = ([{
  id: '0e6eda28-7709-46a7-8fce-c50609ea8ffe',
  name: 'double-prevention-management',
  path: '/double-prevention-management-sm',
  meta: {
    title: '双重预防机制'
  },
  children: [{
    id: 'a4f9f867-a711-45c3-93b4-85d8a4a547d4',
    path: 'risk-four-color-chart',
    name: 'risk-four-color-chart',
    component: function component(resolve) {
      Promise.all(/* AMD require */[__webpack_require__.e(0), __webpack_require__.e(3), __webpack_require__.e(39)]).then(function() { var __WEBPACK_AMD_REQUIRE_ARRAY__ = [__webpack_require__("4ba6")]; (resolve).apply(null, __WEBPACK_AMD_REQUIRE_ARRAY__);}.bind(this)).catch(__webpack_require__.oe);
    },
    meta: {
      title: '风险四色图',
      keepAlive: false,
      operations: {}
    }
  }, {
    id: 'bb9afbc2-a28c-497f-92b0-c3ae9f342954',
    name: 'risk-level',
    path: 'risk-level',
    meta: {
      title: '风险分级管控'
    },
    children: [{
      id: '6eb511ef-4d85-424d-8616-906d2c975d74',
      path: 'risk-statistics',
      name: 'risk-statistics',
      component: function component(resolve) {
        Promise.all(/* AMD require */[__webpack_require__.e(0), __webpack_require__.e(1), __webpack_require__.e(30)]).then(function() { var __WEBPACK_AMD_REQUIRE_ARRAY__ = [__webpack_require__("a00d")]; (resolve).apply(null, __WEBPACK_AMD_REQUIRE_ARRAY__);}.bind(this)).catch(__webpack_require__.oe);
      },
      meta: {
        title: '风险统计',
        keepAlive: false,
        operations: {}
      }
    }, {
      id: '4c915e4c-a707-4529-9510-01b397c50a16',
      path: 'risk-analysis-unit',
      name: 'risk-analysis-unit',
      component: function component(resolve) {
        Promise.all(/* AMD require */[__webpack_require__.e(0), __webpack_require__.e(1), __webpack_require__.e(2), __webpack_require__.e(3), __webpack_require__.e(14)]).then(function() { var __WEBPACK_AMD_REQUIRE_ARRAY__ = [__webpack_require__("abd9")]; (resolve).apply(null, __WEBPACK_AMD_REQUIRE_ARRAY__);}.bind(this)).catch(__webpack_require__.oe);
      },
      meta: {
        title: '风险分析单元',
        keepAlive: false,
        operations: {
          create: {
            id: 0,
            name: 'create',
            desc: '新增',
            access: true
          },
          delete: {
            id: 1,
            name: 'delete',
            desc: '删除',
            access: true
          },
          read: {
            id: 2,
            name: 'read',
            desc: '查看',
            access: true,
            group: 'read'
          },
          downloadTemplate: {
            id: 3,
            name: 'downloadTemplate',
            desc: '下载模板',
            access: true,
            group: 'read'
          },
          batchImport: {
            id: 4,
            name: 'batchImport',
            desc: '批量导入',
            access: true
          },
          batchExport: {
            id: 5,
            name: 'batchExport',
            desc: '批量导出',
            access: true,
            group: 'read'
          },
          update: {
            id: 6,
            name: 'update',
            desc: '编辑',
            access: true
          }
        }
      }
    }, {
      id: 'f53e2ce1-57bb-4f7d-a5b8-d312439eb5dd',
      path: 'risk-point-list',
      name: 'risk-point-list',
      component: function component(resolve) {
        Promise.all(/* AMD require */[__webpack_require__.e(0), __webpack_require__.e(1), __webpack_require__.e(2), __webpack_require__.e(3), __webpack_require__.e(13)]).then(function() { var __WEBPACK_AMD_REQUIRE_ARRAY__ = [__webpack_require__("da0b")]; (resolve).apply(null, __WEBPACK_AMD_REQUIRE_ARRAY__);}.bind(this)).catch(__webpack_require__.oe);
      },
      meta: {
        title: '风险点清单',
        keepAlive: false,
        operations: {
          create: {
            id: 0,
            name: 'create',
            desc: '新增',
            access: true
          },
          delete: {
            id: 1,
            name: 'delete',
            desc: '删除',
            access: true
          },
          read: {
            id: 2,
            name: 'read',
            desc: '查看',
            access: true,
            group: 'read'
          },
          downloadTemplate: {
            id: 3,
            name: 'downloadTemplate',
            desc: '下载模板',
            access: true,
            group: 'read'
          },
          batchImport: {
            id: 4,
            name: 'batchImport',
            desc: '批量导入',
            access: true
          },
          batchExportQrCode: {
            id: 5,
            name: 'batchExportQrCode',
            desc: '批量导出二维码',
            access: true,
            group: 'read'
          },
          update: {
            id: 6,
            name: 'update',
            desc: '编辑',
            access: true
          },
          readQrCode: {
            id: 7,
            name: 'readQrCode',
            desc: '二维码',
            access: true
          }
        }
      }
    }, {
      id: '1fc9350b-ff7e-4169-91e8-f77be341d93a',
      path: 'risk-identify-plan',
      name: 'risk-identify-plan',
      component: function component(resolve) {
        Promise.all(/* AMD require */[__webpack_require__.e(0), __webpack_require__.e(1), __webpack_require__.e(2), __webpack_require__.e(3), __webpack_require__.e(22)]).then(function() { var __WEBPACK_AMD_REQUIRE_ARRAY__ = [__webpack_require__("af76")]; (resolve).apply(null, __WEBPACK_AMD_REQUIRE_ARRAY__);}.bind(this)).catch(__webpack_require__.oe);
      },
      meta: {
        title: '危险源辨识计划',
        keepAlive: false,
        operations: {
          create: {
            id: 0,
            name: 'create',
            desc: '新增',
            access: true
          },
          delete: {
            id: 1,
            name: 'delete',
            desc: '删除',
            access: true
          },
          read: {
            id: 2,
            name: 'read',
            desc: '查看',
            access: true,
            group: 'read'
          },
          downloadTemplate: {
            id: 3,
            name: 'downloadTemplate',
            desc: '下载模板',
            access: true,
            group: 'read'
          },
          batchImport: {
            id: 4,
            name: 'batchImport',
            desc: '批量导入',
            access: true
          },
          batchExport: {
            id: 5,
            name: 'batchExport',
            desc: '批量导出',
            access: true,
            group: 'read'
          },
          update: {
            id: 6,
            name: 'update',
            desc: '编辑',
            access: true
          },
          publish: {
            id: 7,
            name: 'publish',
            desc: '发布',
            access: true
          },
          refreshPublish: {
            id: 8,
            name: 'refreshPublish',
            desc: '重新发布',
            access: true
          }
        }
      }
    }, {
      id: '83cc2683-4b93-46a2-b3a5-3457243bd003',
      path: 'risk-identify-list',
      name: 'risk-identify-list',
      component: function component(resolve) {
        Promise.all(/* AMD require */[__webpack_require__.e(0), __webpack_require__.e(1), __webpack_require__.e(2), __webpack_require__.e(3), __webpack_require__.e(20)]).then(function() { var __WEBPACK_AMD_REQUIRE_ARRAY__ = [__webpack_require__("a02b")]; (resolve).apply(null, __WEBPACK_AMD_REQUIRE_ARRAY__);}.bind(this)).catch(__webpack_require__.oe);
      },
      meta: {
        title: '危险源辨识清单',
        keepAlive: false,
        operations: {
          create: {
            id: 0,
            name: 'create',
            desc: '新增',
            access: true
          },
          delete: {
            id: 1,
            name: 'delete',
            desc: '删除',
            access: true
          },
          read: {
            id: 2,
            name: 'read',
            desc: '查看',
            access: true,
            group: 'read'
          },
          update: {
            id: 3,
            name: 'update',
            desc: '编辑',
            access: true
          },
          submit: {
            id: 4,
            name: 'submit',
            desc: '提交',
            access: true
          },
          identify: {
            id: 5,
            name: 'identify',
            desc: '辨识',
            access: true
          }
        }
      }
    }, {
      id: '6d9e1aae-70bf-4daa-83d1-b24e9128042f',
      path: 'risk-evaluate-list',
      name: 'risk-evaluate-list',
      component: function component(resolve) {
        Promise.all(/* AMD require */[__webpack_require__.e(0), __webpack_require__.e(1), __webpack_require__.e(2), __webpack_require__.e(3), __webpack_require__.e(19)]).then(function() { var __WEBPACK_AMD_REQUIRE_ARRAY__ = [__webpack_require__("8e1b")]; (resolve).apply(null, __WEBPACK_AMD_REQUIRE_ARRAY__);}.bind(this)).catch(__webpack_require__.oe);
      },
      meta: {
        title: '风险评估',
        keepAlive: false,
        operations: {
          submit: {
            id: 0,
            name: 'submit',
            desc: '提交',
            access: true
          },
          update: {
            id: 1,
            name: 'update',
            desc: '编辑',
            access: true
          },
          read: {
            id: 2,
            name: 'read',
            desc: '查看',
            access: true,
            group: 'read'
          }
        }
      }
    }, {
      id: 'ee3f1d67-60a7-4555-9c33-7ea309ff2470',
      path: 'risk-grading-control',
      name: 'risk-grading-control',
      component: function component(resolve) {
        Promise.all(/* AMD require */[__webpack_require__.e(0), __webpack_require__.e(1), __webpack_require__.e(2), __webpack_require__.e(4), __webpack_require__.e(18)]).then(function() { var __WEBPACK_AMD_REQUIRE_ARRAY__ = [__webpack_require__("3038")]; (resolve).apply(null, __WEBPACK_AMD_REQUIRE_ARRAY__);}.bind(this)).catch(__webpack_require__.oe);
      },
      meta: {
        title: '风险分级管控',
        keepAlive: false,
        operations: {
          create: {
            id: 0,
            name: 'create',
            desc: '新增',
            access: true
          },
          delete: {
            id: 1,
            name: 'delete',
            desc: '删除',
            access: true
          },
          read: {
            id: 2,
            name: 'read',
            desc: '查看',
            access: true,
            group: 'read'
          },
          reject: {
            id: 3,
            name: 'reject',
            desc: '驳回',
            access: true
          },
          control: {
            id: 4,
            name: 'control',
            desc: '管控',
            access: true
          },
          submit: {
            id: 5,
            name: 'submit',
            desc: '提交',
            access: true
          }
        }
      }
    }, {
      id: 'b4ade100-bcbf-40d6-91eb-380eeda9a6e8',
      path: 'bank-equip-table',
      name: 'bank-equip-table',
      component: function component(resolve) {
        Promise.all(/* AMD require */[__webpack_require__.e(0), __webpack_require__.e(1), __webpack_require__.e(2), __webpack_require__.e(3), __webpack_require__.e(8)]).then(function() { var __WEBPACK_AMD_REQUIRE_ARRAY__ = [__webpack_require__("5850")]; (resolve).apply(null, __WEBPACK_AMD_REQUIRE_ARRAY__);}.bind(this)).catch(__webpack_require__.oe);
      },
      meta: {
        title: '设备设施风险智库',
        keepAlive: false,
        operations: {
          read: {
            id: 0,
            name: 'read',
            desc: '查看',
            access: true,
            group: 'read'
          },
          export: {
            id: 1,
            name: 'export',
            desc: '导出',
            access: true,
            group: 'read'
          },
          import: {
            id: 2,
            name: 'import',
            desc: '导入',
            access: true
          },
          createRiskCard: {
            id: 3,
            name: 'createRiskCard',
            desc: '生产风险应知卡',
            access: true
          },
          delete: {
            id: 4,
            name: 'delete',
            desc: '删除',
            access: true
          }
        }
      }
    }, {
      id: '25d2c387-e07c-4e7a-acd9-6814522afb6f',
      path: 'bank-job-table',
      name: 'bank-job-table',
      component: function component(resolve) {
        Promise.all(/* AMD require */[__webpack_require__.e(0), __webpack_require__.e(1), __webpack_require__.e(2), __webpack_require__.e(3), __webpack_require__.e(9)]).then(function() { var __WEBPACK_AMD_REQUIRE_ARRAY__ = [__webpack_require__("58a1")]; (resolve).apply(null, __WEBPACK_AMD_REQUIRE_ARRAY__);}.bind(this)).catch(__webpack_require__.oe);
      },
      meta: {
        title: '作业活动风险智库',
        keepAlive: false,
        operations: {
          read: {
            id: 0,
            name: 'read',
            desc: '查看',
            access: true,
            group: 'read'
          },
          export: {
            id: 1,
            name: 'export',
            desc: '导出',
            access: true,
            group: 'read'
          },
          import: {
            id: 2,
            name: 'import',
            desc: '导入',
            access: true
          },
          createRiskCard: {
            id: 3,
            name: 'createRiskCard',
            desc: '生产风险应知卡',
            access: true
          },
          delete: {
            id: 4,
            name: 'delete',
            desc: '删除',
            access: true
          }
        }
      }
    }]
  }, {
    id: '6c9a269a-4360-460c-b76d-bb9a614dd84b',
    name: 'hidden',
    path: 'hidden',
    meta: {
      title: '隐患排查治理'
    },
    children: [
    // {
    //   id: 'e5f0db42-9081-444d-ba86-4e54b9238981',
    //   path: 'troubleshoot-statistics',
    //   name: 'troubleshoot-statistics',
    //   component(resolve) {
    //     require(['./views/TroubleshootStatistics'], resolve)
    //   },
    //   meta: {
    //     title: '隐患排查统计',
    //     keepAlive: false,
    //     operations: {},
    //   },
    // },
    // {
    //   id: 'a8b59f6d-35e5-429e-a65a-7d78ddef2898',
    //   path: 'rectify-trends',
    //   name: 'rectify-trends',
    //   component(resolve) {
    //     require(['./views/RectifyTrends'], resolve)
    //   },
    //   meta: {
    //     title: '隐患整改趋势',
    //     operations: {},
    //   },
    // },
    {
      id: 'f4c45eab-019d-4e47-864b-8fe8d2a193ee',
      path: 'check-list',
      name: 'check-list',
      component: function component(resolve) {
        Promise.all(/* AMD require */[__webpack_require__.e(0), __webpack_require__.e(1), __webpack_require__.e(2), __webpack_require__.e(3), __webpack_require__.e(10)]).then(function() { var __WEBPACK_AMD_REQUIRE_ARRAY__ = [__webpack_require__("439a")]; (resolve).apply(null, __WEBPACK_AMD_REQUIRE_ARRAY__);}.bind(this)).catch(__webpack_require__.oe);
      },
      meta: {
        title: '隐患排查清单',
        operations: {
          create: {
            id: 0,
            name: 'create',
            desc: '新增',
            access: true
          },
          update: {
            id: 1,
            name: 'update',
            desc: '编辑',
            access: true
          },
          read: {
            id: 2,
            name: 'read',
            desc: '查看',
            access: true,
            group: 'read'
          },
          delete: {
            id: 3,
            name: 'delete',
            desc: '删除',
            access: true
          },
          export: {
            id: 4,
            name: 'export',
            desc: '批量导出',
            access: true,
            group: 'read'
          },
          batchImport: {
            id: 5,
            name: 'batchImport',
            desc: '批量导入',
            access: true
          },
          batchExportQrCode: {
            id: 6,
            name: 'batchExportQrCode',
            desc: '批量导出二维码',
            access: true,
            group: 'read'
          }
        }
      }
    }, {
      id: '17c66c02-e9e9-4adf-ad03-c1cf25481617',
      path: 'task-plan',
      name: 'task-plan',
      component: function component(resolve) {
        Promise.all(/* AMD require */[__webpack_require__.e(0), __webpack_require__.e(1), __webpack_require__.e(2), __webpack_require__.e(3), __webpack_require__.e(25)]).then(function() { var __WEBPACK_AMD_REQUIRE_ARRAY__ = [__webpack_require__("b29b")]; (resolve).apply(null, __WEBPACK_AMD_REQUIRE_ARRAY__);}.bind(this)).catch(__webpack_require__.oe);
      },
      meta: {
        title: '定时隐患排查',
        operations: {
          create: {
            id: 0,
            name: 'create',
            desc: '新增',
            access: true
          },
          update: {
            id: 1,
            name: 'update',
            desc: '编辑',
            access: true
          },
          read: {
            id: 2,
            name: 'read',
            desc: '查看',
            access: true,
            group: 'read'
          },
          delete: {
            id: 3,
            name: 'delete',
            desc: '删除',
            access: true
          }
        }
      }
    }, {
      id: '20c9effe-2885-4a40-af59-2a1ddcd9186a',
      path: 'check-plan',
      name: 'check-plan',
      component: function component(resolve) {
        Promise.all(/* AMD require */[__webpack_require__.e(0), __webpack_require__.e(1), __webpack_require__.e(2), __webpack_require__.e(3), __webpack_require__.e(21)]).then(function() { var __WEBPACK_AMD_REQUIRE_ARRAY__ = [__webpack_require__("5b95")]; (resolve).apply(null, __WEBPACK_AMD_REQUIRE_ARRAY__);}.bind(this)).catch(__webpack_require__.oe);
      },
      meta: {
        title: '隐患排查计划',
        operations: {
          create: {
            id: 0,
            name: 'create',
            desc: '新增',
            access: true
          },
          update: {
            id: 1,
            name: 'update',
            desc: '编辑',
            access: true
          },
          read: {
            id: 2,
            name: 'read',
            desc: '查看',
            access: true,
            group: 'read'
          },
          delete: {
            id: 3,
            name: 'delete',
            desc: '删除',
            access: true
          },
          export: {
            id: 4,
            name: 'export',
            desc: '导出',
            access: true,
            group: 'read'
          },
          publish: {
            id: 5,
            name: 'publish',
            desc: '发布',
            access: true
          },
          completionStatus: {
            id: 6,
            name: 'completionStatus',
            desc: '完成情况',
            access: true
          }
        }
      }
    }, {
      id: '2623d16e-5ff1-46a9-b1f9-67f6acfe8d53',
      path: 'task',
      name: 'task',
      component: function component(resolve) {
        Promise.all(/* AMD require */[__webpack_require__.e(0), __webpack_require__.e(1), __webpack_require__.e(2), __webpack_require__.e(3), __webpack_require__.e(24)]).then(function() { var __WEBPACK_AMD_REQUIRE_ARRAY__ = [__webpack_require__("d044")]; (resolve).apply(null, __WEBPACK_AMD_REQUIRE_ARRAY__);}.bind(this)).catch(__webpack_require__.oe);
      },
      meta: {
        title: '隐患排查任务',
        operations: {
          read: {
            id: 0,
            name: 'read',
            desc: '查看',
            access: true,
            group: 'read'
          }
        }
      }
    }, {
      id: '6d44bd18-9a78-4877-abe0-f7ace33f2b7f',
      path: 'overdue-task',
      name: 'overdue-task',
      component: function component(resolve) {
        Promise.all(/* AMD require */[__webpack_require__.e(0), __webpack_require__.e(1), __webpack_require__.e(2), __webpack_require__.e(3), __webpack_require__.e(34)]).then(function() { var __WEBPACK_AMD_REQUIRE_ARRAY__ = [__webpack_require__("6cac")]; (resolve).apply(null, __WEBPACK_AMD_REQUIRE_ARRAY__);}.bind(this)).catch(__webpack_require__.oe);
      },
      meta: {
        title: '超期任务',
        operations: {
          read: {
            id: 0,
            name: 'read',
            desc: '查看',
            access: true,
            group: 'read'
          }
        }
      }
    }, {
      id: '93beee2f-e4ee-402e-848d-1456d8a6deb0',
      path: 'check-records',
      name: 'check-records',
      component: function component(resolve) {
        Promise.all(/* AMD require */[__webpack_require__.e(0), __webpack_require__.e(1), __webpack_require__.e(2), __webpack_require__.e(3), __webpack_require__.e(35)]).then(function() { var __WEBPACK_AMD_REQUIRE_ARRAY__ = [__webpack_require__("fe71")]; (resolve).apply(null, __WEBPACK_AMD_REQUIRE_ARRAY__);}.bind(this)).catch(__webpack_require__.oe);
      },
      meta: {
        title: '定时排查记录',
        operations: {
          read: {
            id: 1,
            name: 'read',
            desc: '详情',
            access: true,
            group: 'read'
          }
        }
      }
    }]
  }, {
    id: '765f21c5-c761-4710-80c0-a62d124fcca5',
    name: 'rectification',
    path: 'rectification',
    meta: {
      title: '隐患整改'
    },
    children: [{
      id: '069d62b7-2f79-4590-9319-9c71ffc52fe4',
      path: 'troubleshoot-statistics',
      name: 'troubleshoot-statistics',
      component: function component(resolve) {
        Promise.all(/* AMD require */[__webpack_require__.e(0), __webpack_require__.e(1), __webpack_require__.e(32)]).then(function() { var __WEBPACK_AMD_REQUIRE_ARRAY__ = [__webpack_require__("b82f")]; (resolve).apply(null, __WEBPACK_AMD_REQUIRE_ARRAY__);}.bind(this)).catch(__webpack_require__.oe);
      },
      meta: {
        title: '隐患排查统计',
        keepAlive: false,
        operations: {}
      }
    }, {
      id: 'a48707f9-5fab-4ee4-87fb-56287fa35b62',
      path: 'rectify-trends',
      name: 'rectify-trends',
      component: function component(resolve) {
        Promise.all(/* AMD require */[__webpack_require__.e(0), __webpack_require__.e(1), __webpack_require__.e(31)]).then(function() { var __WEBPACK_AMD_REQUIRE_ARRAY__ = [__webpack_require__("da85")]; (resolve).apply(null, __WEBPACK_AMD_REQUIRE_ARRAY__);}.bind(this)).catch(__webpack_require__.oe);
      },
      meta: {
        title: '隐患整改趋势',
        operations: {}
      }
    }, {
      id: '6866ef5c-15fb-415f-a870-ade0fe37a894',
      path: 'hidden-list',
      name: 'hidden-list',
      component: function component(resolve) {
        Promise.all(/* AMD require */[__webpack_require__.e(0), __webpack_require__.e(1), __webpack_require__.e(2), __webpack_require__.e(3), __webpack_require__.e(7)]).then(function() { var __WEBPACK_AMD_REQUIRE_ARRAY__ = [__webpack_require__("40ed")]; (resolve).apply(null, __WEBPACK_AMD_REQUIRE_ARRAY__);}.bind(this)).catch(__webpack_require__.oe);
      },
      meta: {
        title: '隐患清单',
        operations: {
          create: {
            id: 0,
            name: 'create',
            desc: '新增',
            access: true
          },
          update: {
            id: 1,
            name: 'update',
            desc: '编辑',
            access: true
          },
          read: {
            id: 2,
            name: 'read',
            desc: '查看',
            access: true,
            group: 'read'
          },
          delete: {
            id: 3,
            name: 'delete',
            desc: '删除',
            access: true
          },
          export: {
            id: 4,
            name: 'export',
            desc: '导出',
            access: true,
            group: 'read'
          },
          submit: {
            id: 5,
            name: 'submit',
            desc: '提交',
            access: true
          },
          batchImport: {
            id: 6,
            name: 'batchImport',
            desc: '批量导入',
            access: true
          }
        }
      }
    }, {
      id: 'bb7d1943-4dc4-456e-8ed9-dcf4fd90539b',
      path: 'hidden-controls-center',
      name: 'hidden-controls-center',
      component: function component(resolve) {
        Promise.all(/* AMD require */[__webpack_require__.e(0), __webpack_require__.e(1), __webpack_require__.e(38)]).then(function() { var __WEBPACK_AMD_REQUIRE_ARRAY__ = [__webpack_require__("81ad")]; (resolve).apply(null, __WEBPACK_AMD_REQUIRE_ARRAY__);}.bind(this)).catch(__webpack_require__.oe);
      },
      meta: {
        title: '待办隐患排查控制台',
        hidden: true,
        tabnab: false
      }
    }, {
      id: '8c176e9b-314e-450e-84bd-6ac15eeafa6c',
      path: 'hidden-verify',
      name: 'hidden-verify',
      component: function component(resolve) {
        Promise.all(/* AMD require */[__webpack_require__.e(0), __webpack_require__.e(1), __webpack_require__.e(2), __webpack_require__.e(3), __webpack_require__.e(17)]).then(function() { var __WEBPACK_AMD_REQUIRE_ARRAY__ = [__webpack_require__("27b9")]; (resolve).apply(null, __WEBPACK_AMD_REQUIRE_ARRAY__);}.bind(this)).catch(__webpack_require__.oe);
      },
      meta: {
        title: '隐患核实',
        operations: {
          update: {
            id: 0,
            name: 'update',
            desc: '核实',
            access: true
          },
          read: {
            id: 1,
            name: 'read',
            desc: '查看',
            access: true,
            group: 'read'
          }
        }
      }
    }, {
      id: 'd1cd4ef2-1dce-4ef5-8aff-64ad46aaffac',
      path: 'hidden-Rectification',
      name: 'hidden-Rectification',
      component: function component(resolve) {
        Promise.all(/* AMD require */[__webpack_require__.e(0), __webpack_require__.e(1), __webpack_require__.e(2), __webpack_require__.e(3), __webpack_require__.e(15)]).then(function() { var __WEBPACK_AMD_REQUIRE_ARRAY__ = [__webpack_require__("a4ed")]; (resolve).apply(null, __WEBPACK_AMD_REQUIRE_ARRAY__);}.bind(this)).catch(__webpack_require__.oe);
      },
      meta: {
        title: '隐患整改',
        operations: {
          single: {
            id: 0,
            name: 'single',
            desc: '整改单',
            access: true
          },
          read: {
            id: 1,
            name: 'read',
            desc: '查看',
            access: true,
            group: 'read'
          },
          rectification: {
            id: 3,
            name: 'rectification',
            desc: '整改',
            access: true
          },
          accpet: {
            id: 4,
            name: 'accpet',
            desc: '验收',
            access: true
          },
          delay: {
            id: 5,
            name: 'delay',
            desc: '延期',
            access: true
          },
          audit: {
            id: 6,
            name: 'audit',
            desc: '审核',
            access: true
          }
        }
      }
    }, {
      id: '758b6e63-7ca2-4507-aaf3-68454530c223',
      path: 'hidden-Accept',
      name: 'hidden-Accept',
      component: function component(resolve) {
        Promise.all(/* AMD require */[__webpack_require__.e(0), __webpack_require__.e(1), __webpack_require__.e(2), __webpack_require__.e(3), __webpack_require__.e(16)]).then(function() { var __WEBPACK_AMD_REQUIRE_ARRAY__ = [__webpack_require__("33f3")]; (resolve).apply(null, __WEBPACK_AMD_REQUIRE_ARRAY__);}.bind(this)).catch(__webpack_require__.oe);
      },
      meta: {
        title: '隐患验收',
        operations: {
          update: {
            id: 0,
            name: 'update',
            desc: '验收',
            access: true
          },
          read: {
            id: 1,
            name: 'read',
            desc: '查看',
            access: true,
            group: 'read'
          },
          export: {
            id: 2,
            name: 'export',
            desc: '导出',
            access: true,
            group: 'read'
          }
        }
      }
    }, {
      id: '29efa27c-9c23-49a2-af06-315323711839',
      path: 'hidden-book',
      name: 'hidden-book',
      component: function component(resolve) {
        Promise.all(/* AMD require */[__webpack_require__.e(0), __webpack_require__.e(1), __webpack_require__.e(2), __webpack_require__.e(3), __webpack_require__.e(6)]).then(function() { var __WEBPACK_AMD_REQUIRE_ARRAY__ = [__webpack_require__("bb4d")]; (resolve).apply(null, __WEBPACK_AMD_REQUIRE_ARRAY__);}.bind(this)).catch(__webpack_require__.oe);
      },
      meta: {
        title: '隐患台账',
        operations: {
          read: {
            id: 0,
            name: 'read',
            desc: '查看',
            access: true,
            group: 'read'
          },
          export: {
            id: 1,
            name: 'export',
            desc: '导出',
            access: true,
            group: 'read'
          },
          batchImport: {
            id: 2,
            name: 'batchImport',
            desc: '批量导入',
            access: true
          },
          cancel: {
            id: 3,
            name: 'cancel',
            desc: '销号',
            access: true
          },
          delete: {
            id: 4,
            name: 'delete',
            desc: '删除',
            access: true
          }
        }
      }
    }]
  }, {
    id: '63c546bc-6873-4f8e-8c80-220d04b8f84e',
    name: 'auto-check',
    path: 'auto-check',
    meta: {
      title: '自动考核机制'
    },
    children: [{
      id: '26694255-4e4b-44fe-8106-1377a4cb41df1',
      path: 'check-config',
      name: 'check-config',
      component: function component(resolve) {
        Promise.all(/* AMD require */[__webpack_require__.e(0), __webpack_require__.e(1), __webpack_require__.e(2), __webpack_require__.e(37)]).then(function() { var __WEBPACK_AMD_REQUIRE_ARRAY__ = [__webpack_require__("56c4")]; (resolve).apply(null, __WEBPACK_AMD_REQUIRE_ARRAY__);}.bind(this)).catch(__webpack_require__.oe);
      },
      meta: {
        title: '自动考核配置',
        operations: {
          update: {
            id: 1,
            name: 'update',
            desc: '编辑',
            access: true
          },
          save: {
            id: 2,
            name: 'save',
            desc: '保存',
            access: true
          }
        }
      }
    }, {
      id: '54cf916f-a86f-41e1-987c-8bcde999b340',
      path: 'score-records',
      name: 'score-records',
      component: function component(resolve) {
        Promise.all(/* AMD require */[__webpack_require__.e(0), __webpack_require__.e(1), __webpack_require__.e(2), __webpack_require__.e(4), __webpack_require__.e(26)]).then(function() { var __WEBPACK_AMD_REQUIRE_ARRAY__ = [__webpack_require__("577c")]; (resolve).apply(null, __WEBPACK_AMD_REQUIRE_ARRAY__);}.bind(this)).catch(__webpack_require__.oe);
      },
      meta: {
        title: '积分记录',
        operations: {
          delete: {
            id: 1,
            name: 'delete',
            desc: '删除',
            access: true
          },
          batchExport: {
            id: 2,
            name: 'batchExport',
            desc: '批量导出',
            access: true,
            group: 'read'
          }
        }
      }
    }, {
      id: '171e57e5-ae63-454b-9905-f9ba97661ab4',
      path: 'outsource-check',
      name: 'outsource-check',
      component: function component(resolve) {
        Promise.all(/* AMD require */[__webpack_require__.e(0), __webpack_require__.e(1), __webpack_require__.e(2), __webpack_require__.e(4), __webpack_require__.e(28)]).then(function() { var __WEBPACK_AMD_REQUIRE_ARRAY__ = [__webpack_require__("5210")]; (resolve).apply(null, __WEBPACK_AMD_REQUIRE_ARRAY__);}.bind(this)).catch(__webpack_require__.oe);
      },
      meta: {
        title: '外包外委考核',
        operations: {
          read: {
            id: 0,
            name: 'read',
            desc: '查看',
            access: true,
            group: 'read'
          },
          batchExport: {
            id: 2,
            name: 'batchExport',
            desc: '批量导出',
            access: true,
            group: 'read'
          }
        }
      }
    }, {
      id: '342b57f1-c4fc-495c-b81c-aa4fe56686c2',
      path: 'depart-check',
      name: 'depart-check',
      component: function component(resolve) {
        Promise.all(/* AMD require */[__webpack_require__.e(0), __webpack_require__.e(1), __webpack_require__.e(2), __webpack_require__.e(4), __webpack_require__.e(27)]).then(function() { var __WEBPACK_AMD_REQUIRE_ARRAY__ = [__webpack_require__("7aca")]; (resolve).apply(null, __WEBPACK_AMD_REQUIRE_ARRAY__);}.bind(this)).catch(__webpack_require__.oe);
      },
      meta: {
        title: '部门考核',
        operations: {
          read: {
            id: 0,
            name: 'read',
            desc: '查看',
            access: true,
            group: 'read'
          },
          batchExport: {
            id: 2,
            name: 'batchExport',
            desc: '批量导出',
            access: true,
            group: 'read'
          }
        }
      }
    }, {
      id: '68d87461-b39d-40e4-9523-d30ea494df6b',
      path: 'person-records',
      name: 'person-records',
      component: function component(resolve) {
        Promise.all(/* AMD require */[__webpack_require__.e(0), __webpack_require__.e(1), __webpack_require__.e(2), __webpack_require__.e(33), __webpack_require__.e(36)]).then(function() { var __WEBPACK_AMD_REQUIRE_ARRAY__ = [__webpack_require__("1683")]; (resolve).apply(null, __WEBPACK_AMD_REQUIRE_ARRAY__);}.bind(this)).catch(__webpack_require__.oe);
      },
      meta: {
        title: '人员考核',
        operations: {
          read: {
            id: 0,
            name: 'read',
            desc: '查看',
            access: true,
            group: 'read'
          },
          batchExport: {
            id: 2,
            name: 'batchExport',
            desc: '批量导出',
            access: true,
            group: 'read'
          }
        }
      }
    }]
  },
  // 三卡管理
  {
    id: '75685805-d209-47c5-8440-c182078889fd',
    name: 'three-card',
    path: 'three-card',
    meta: {
      title: '三卡管理'
    },
    children: [{
      id: '8e1cabd4-588e-4f34-b0cb-413a90d38f1e',
      path: 'staff-harm',
      name: 'staff-harm',
      component: function component(resolve) {
        Promise.all(/* AMD require */[__webpack_require__.e(0), __webpack_require__.e(1), __webpack_require__.e(2), __webpack_require__.e(3), __webpack_require__.e(12)]).then(function() { var __WEBPACK_AMD_REQUIRE_ARRAY__ = [__webpack_require__("7221")]; (resolve).apply(null, __WEBPACK_AMD_REQUIRE_ARRAY__);}.bind(this)).catch(__webpack_require__.oe);
      },
      meta: {
        title: '员工危害特性应知卡',
        operations: {
          create: {
            id: 1,
            name: 'create',
            desc: '新增',
            access: true
          },
          read: {
            id: 2,
            name: 'read',
            desc: '查看',
            access: true,
            group: 'read'
          },
          update: {
            id: 3,
            name: 'update',
            desc: '编辑',
            access: true
          },
          delete: {
            id: 4,
            name: 'delete',
            desc: '删除',
            access: true
          },
          batchImport: {
            id: 5,
            name: 'batchImport',
            desc: '批量导入',
            access: true
          },
          card: {
            id: 7,
            name: 'card',
            desc: '应知卡',
            access: true
          }
        }
      }
    }, {
      id: '9e85edf2-cba2-4ccf-876a-0deb827b779d',
      path: 'deal-methods',
      name: 'deal-methods',
      component: function component(resolve) {
        Promise.all(/* AMD require */[__webpack_require__.e(0), __webpack_require__.e(1), __webpack_require__.e(2), __webpack_require__.e(3), __webpack_require__.e(23)]).then(function() { var __WEBPACK_AMD_REQUIRE_ARRAY__ = [__webpack_require__("65f8")]; (resolve).apply(null, __WEBPACK_AMD_REQUIRE_ARRAY__);}.bind(this)).catch(__webpack_require__.oe);
      },
      meta: {
        title: '处置方法应急卡',
        operations: {
          create: {
            id: 1,
            name: 'create',
            desc: '新增',
            access: true
          },
          read: {
            id: 2,
            name: 'read',
            desc: '查看',
            access: true,
            group: 'read'
          },
          update: {
            id: 3,
            name: 'update',
            desc: '编辑',
            access: true
          },
          delete: {
            id: 4,
            name: 'delete',
            desc: '删除',
            access: true
          },
          card: {
            id: 7,
            name: 'card',
            desc: '应知卡',
            access: true
          }
        }
      }
    }, {
      id: '4c9822d0-e0e6-4a05-9b2b-599e3e093264',
      path: 'safey-duty',
      name: 'safey-duty',
      component: function component(resolve) {
        Promise.all(/* AMD require */[__webpack_require__.e(0), __webpack_require__.e(1), __webpack_require__.e(2), __webpack_require__.e(3), __webpack_require__.e(11)]).then(function() { var __WEBPACK_AMD_REQUIRE_ARRAY__ = [__webpack_require__("52b4")]; (resolve).apply(null, __WEBPACK_AMD_REQUIRE_ARRAY__);}.bind(this)).catch(__webpack_require__.oe);
      },
      meta: {
        title: '安全职责承诺卡',
        operations: {
          create: {
            id: 1,
            name: 'create',
            desc: '新增',
            access: true
          },
          read: {
            id: 2,
            name: 'read',
            desc: '查看',
            access: true,
            group: 'read'
          },
          update: {
            id: 3,
            name: 'update',
            desc: '编辑',
            access: true
          },
          delete: {
            id: 4,
            name: 'delete',
            desc: '删除',
            access: true
          },
          batchImport: {
            id: 5,
            name: 'batchImport',
            desc: '批量导入',
            access: true
          },
          card: {
            id: 7,
            name: 'card',
            desc: '承诺卡',
            access: true
          },
          copy: {
            id: 8,
            name: 'copy',
            desc: '复用',
            access: true
          }
        }
      }
    }]
  }]
}]);
// EXTERNAL MODULE: ./virtual:windi.css
var virtual_windi = __webpack_require__("5a4b");

// CONCATENATED MODULE: ./src/modules/double-prevention-management-sm/entry.js
/*
 * @Author:
 * @LastEditTime: 2024-07-10 15:34:37
 * @Description:
 */


/* harmony default export */ var entry = ({
  // name version 必须为字面常量
  name: 'double-prevention-management-sm',
  title: '双重预防机制',
  version: '0.8.0',
  description: '智慧安全双重预防机制',
  routes: routes,
  // 导出相关路由
  sysRoutes: [],
  // ·系统管理· 下的路由，可以为空
  dependencies: {
    // 这里记录本模块所依赖接口
    apis: []
  }
});
// CONCATENATED MODULE: ./node_modules/@vue/cli-service/lib/commands/build/entry-lib.js


/* harmony default export */ var entry_lib = __webpack_exports__["default"] = (entry);



/***/ })

/******/ });
});
//# sourceMappingURL=double-prevention-management-sm.umd.js.map